 extern int xfield,yfield,layers,scale,species,rseed,border,asyn,thetime,graphics,*graph;
 extern char ***state,***newstate,**title;
 double Uniform();



 InitConstants()
 {
      xfield    =  100;	 /* horizontal size of the automaton */
      yfield    =  100;	 /* vertical size of the automaton */
      scale    =   2;    /* scale of drawing */
      species  =   2;    /* number of states; range 1-256 */
      rseed    =   1;    /* seed of the randomgenerator */
      border   =   1;    /* 0 = empty borders; 1 = torus; 2 = echoing borders */
      asyn     =   0;    /* 1 = asynchronous updating; 0 = synchronous */
      graphics =   1;    /* 0 = program runs silently */
      layers=1;
 }
 
InitGraphs()
 {
     title[0]="Game of Life";
 }

 InitSpecies()
 {
      int x,y;

      InitRandomLayer(0);
 }

 NextState(x,y) int x,y;
 {
      int sum;

      sum = CountMoore(0,1,x,y);
      if (state[0][x][y]==2) newstate[0][x][y]=0;
      if (sum == 2)
        if (state[0][x][y]==2) newstate[0][x][y]=0;
        else
	     newstate[0][x][y] = state[0][x][y];
      else if (sum == 3)
	 newstate[0][x][y] = 1;
      else
	 if (state[0][x][y]==1) newstate[0][x][y] = 2;
         else newstate[0][x][y]=0;
 }

 Report()
 {
      DrawField(); 
      if (thetime%10==0) EchoTime();
 } 

 main()
 {
     MultiLayer();
 }
